Get configuration metric groups for the target
get
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/targets/{targetId}/configMetricGroups
Lists the configuration metric groups available for the specified target.
Request
Path Parameters
-
targetId(required): string
the target id
Query Parameters
-
containerSnapshotId: string
Container snapshot identifier (optional).
-
limit: integer(int32)
Minimum Value:
1Maximum Value:2000to limit the number of rows returned. If the result set is greater follow the previous and next links in the results.Example:20 -
page: string
system generated page token used in the self, next and previous links.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
OK
Root Schema : TargetConfigMetricGroupCollection
Type:
objectPaged list of configuration metric groups available for a target.
Show Source
-
count(required): integer
Number of items returned in this response.
-
items(required): array
items
Configuration metric group summaries.
-
links(required): object
links
Result set navigation links.
-
total: integer
Total number of metric groups available.
Nested Schema : items
Type:
arrayConfiguration metric group summaries.
Show Source
-
Array of:
object ConfigMetricSummary
Summary of a configuration metric group.
Nested Schema : ConfigMetricSummary
Type:
objectSummary of a configuration metric group.
Show Source
-
configExtension: boolean
Indicates whether the metric group is a configuration extension.Example:
true -
displayName: string
Configuration metric group display name.Example:
DisplayName -
links: object
links
Result set navigation links.
-
name: string
Configuration metric group name.Example:
ConfigMetricName
401 Response
client is not authenticated
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
500 Response
internal error serving the request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description
503 Response
indicates that a required service is not available.
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
customer facing error code
-
details: array
details
(Optional) List of additional details for the errors found.
-
message(required): string
customer facing error description
Nested Schema : details
Type:
array(Optional) List of additional details for the errors found.
Show Source
-
Array of:
object ErrorDetail
listed as part of ErrorResponse
Nested Schema : ErrorDetail
Type:
objectlisted as part of ErrorResponse
Show Source
-
message(required): string
specific error description